upgrade na 3.6.2.

Ernst
08. srp 2016 22:22 - 08. srp 2016 22:23 #127943
Mám verzi 3.5.1
pokud spustím komponenty - aktualizace joomla, napíše mi to
64 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

tím pádem mi to nenabízí ani automatickou aktualizaci na 3.6.2.

pokud to chci nainstalovat jako balíček, objeví se obvyklé
Upozornění

JInstaller: :Instalace: Nelze najít soubor XML nastavení
Chyba
Nemohu nalézt instalační balíček

Nesetkal jste se někdo s tímto?

Ptám se dříve, než začnu hledat řešení

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
08. srp 2016 23:37 #127944
A Update komponenta je už zaktualizovaná? Update databáze v té 3.5.1 nic neopraví?

Od verze 3.5 už nejde instalovat update Joomly skrz správce rozšíření .

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. srp 2016 09:29 #127948
opravu databáze jsem zkoušel jako první.
ta komponenta "aktualizace joomla" je ve verzi 3.0.0
tak to mám i na jiných webech, kde se aktualizace nabízí. Dokonce někde i 2.5.8.

Je možné. že je ta komponenta někde nakopaná, ale jak ji přeinstalovat? prostým nakopírováním z instalace?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
09. srp 2016 13:25 #127951
Měla by se nabídnout k aktualizaci ve správci rozšíření. Verze 3.6.2. Předchozí je opravdu 3.0.0.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. srp 2016 15:42 #127952
no a to se právě nenabídne

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
09. srp 2016 16:10 #127953
Tak jsem na to teď koukal na jedné instalaci 3.5.1, V aktualizaci Joomly se mi nabízí k instalaci 3.6.0 a ve správci rozšíření se update komponenta opravdu nenabízí, zřejmě se nabídne až po instalaci verze 3.6.x.

Pokud je aktualizační komponenta nějak "nakopnutá" tak asi opravit jedině přepsáním instalačního balíčku 3.5.1. Verze 2.5.8 by tam asi opravdu být neměla.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. srp 2016 18:23 #127955
protože to nejde již správcem rozšíření tak z instalace přepsat celou složku administrator nebo jen komponentu com_joomlaupdate

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. srp 2016 18:35 #127956
ne tak přímé přepsání nepomůže.
stále to hlásí tu chybu sql při spuštění komponenty

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. srp 2016 19:04 - 09. srp 2016 19:05 #127958
tak v databázi chyběl řádek pro aktualizaci joomly, a ten jsem tam přidal
INSERT INTO `beku_update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES ('1', 'Joomla! Core', 'collection', 'http://update.joomla.org/core/list.xml', '1', '0', '');
ale stále to nejde, vypadá to jako by byl špatně ten sql příkaz
SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE
protože zatím where by mělo něco být

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
09. srp 2016 23:23 #127964
Tak asi ještě řádek v #__update_sites_extensions
INSERT INTO `#__update_sites` (`update_site_id`, `extension_id`)
VALUES (1, 700)
Poděkovali: Ernst

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
10. srp 2016 08:21 #127965
Díky, to pomohlo, to jsem přehlédl. Jen v SQL příkazu jste měl překlep, správně má být:
INSERT INTO `beku_update_sites_extensions` (`update_site_id`, `extension_id`) VALUES (1, 700)

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
10. srp 2016 20:25 #127983
No jo, ruce rychlejší než hlava :)

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.